PUT/api/v2/payments/requests/{requestId}/cancel

Cancel a payment request

Authentication

Send your API key in the x-api-key header on every request.

Parameters

Request parameters
FieldTypeRequiredDescription
requestId (path)unknownYesPayment request ID

Request body

application/json

Request body fields
FieldTypeRequiredDescription
ReasonstringNo

Responses

200 — OK

Response 200 fields
FieldTypeRequiredDescription
IdunknownNo
UserIdunknownNo
CompanyIdunknownNo
AmountstringNo
CurrencystringNo
StatusPaymentStatusV2No
DescriptionstringNo
ExternalReferenceIdstringNo
CallbackUrlstringNo
SuccessUrlstringNo
FailureUrlstringNo
PaymentUrlstringNo
CreatedAtstringNo
UpdatedAtstringNo
CompletedAtstringNo

404 — Not Found

Response 404 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

500 — Internal Server Error

Response 500 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

Example request

curl -X PUT "https://{base_url}/api/v2/payments/requests/{requestId}/cancel" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

This page is generated from the live OpenAPI specification and always matches the current API.